Subject: Re: [PATCH add immr alias 2/4] powerpc: 5121: Add immr alias to MPC5121 ADS device tree.

From: Scott Wood <[email-masked]>
Date: Tue, 05 Aug 2008 16:08:46 -0500

Grant Likely wrote:
> Is it not sufficient to search the tree for a node with the
> <chip>-immr compatible value?  I don't think this is the intended use
> case of aliases.

That get's really annoying in code that is meant to deal with multiple 
chips.  I don't think finding the network or serial node that 
corresponds to u-boot's enumeration is what it's meant for, either, but 
pretty much any alternative you can come up with has someone saying that 
it's not what *that* was meant for, either.

-Scott